Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2015-6524

CVE information

Published

7 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The LDAPLoginModule implementation in the Java Authentication and Authorization Service (JAAS) in Apache ActiveMQ 5.x before 5.10.1 allows wildcard operators in usernames, which allows remote attackers to obtain credentials via a brute force attack. NOTE: this identifier was SPLIT from CVE-2014-3612 per ADT2 due to different vulnerability types..

CVSSv2.0 Score

Severity
Medium
Base Score
5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
2.9/10
Confidentiality Impact
Partial
Availability Impact
None
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:fedoraproject:fedora:22:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:fedoraproject:fedora:23:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.8.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.5.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.10.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.9.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apache:activemq:5.4.2:*:*:*:*:*:*:*
  Yes
- -